﻿// requires jquery before this file to be included

$(function () {
    var elements = $("*[data-translate-id]");

    if (elements == undefined || elements == null || elements.length < 1) {
        return;
    }

    var lang = $("body").prop("lang");

    var localizedContents = localizedResources[lang];

    if (localizedContents == undefined || localizedContents.length < 1) {
        return;
    }

    for (var index = 0; index < elements.length; index++) {
        var element = elements[index];

        var property = element.getAttribute("data-translate-id");

        if (localizedContents.hasOwnProperty(property)) {
            element.innerHTML = localizedContents[property];
        }
    }
});